.header__wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 24px 0;
}

.logo {
    width: 181px;
}

.logo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.header__navigate {
    display: flex;
    align-items: center;
    gap: 51px;
}

.header-links {
    display: flex;
    gap: 24px;
}

.btns {
    display: flex;
    gap: 12px;
}

.first-btn {
    background: transparent !important;
    color: #3A8BCE !important;
}

.first-btn:hover {
    background: #3A8BCE !important;
    color: white !important;
}

.header-links a {
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 14px;
    leading-trim: NONE;
    line-height: 27px;
    letter-spacing: 0px;
    vertical-align: middle;
    color: #444444;
    text-decoration: none;
    width: fit-content;
    display: block;
    position: relative;
    transition: all 0.3s ease-in-out;

}

.header-links a::after {
    content: "";
    position: absolute;
    bottom: -4px;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: #3a8bce;
    transition: all 0.3s ease-in-out;
}

.header-links a:hover::after {
    left: 0;
    width: 100%;
}

.header-lang {
    cursor: pointer;
    position: relative;
    overflow: hidden;
}

.lang-container {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
}
.lang-container a{
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
}



.lang-container .img-wrapper {
    width: 24px;
    height: 24px;
    border-radius: 100%;
}

.lang-container .img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 100%;
}

.lang-container span {
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 14px;
    leading-trim: NONE;
    line-height: 27px;
    letter-spacing: 0px;
    vertical-align: middle;
    color: #444444;
}

.header-btn {
    cursor: pointer;
    background: #3a8bce;
    border: 2px solid #3a8bce;
    padding: 16px 22px;
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 15.88px;
    leading-trim: NONE;
    line-height: 20px;
    letter-spacing: -0.32px;
    vertical-align: middle;
    color: white;
    border-radius: 200px;
    transition: all 0.3s ease-in-out;

}

.header-btn:hover {
    background: white;
    color: #3a8bce;
}

.mobile-menu {
    display: none;
}

@media screen and (max-width: 1024px) {
    .first-btn{
        color: #3a8bce!important;
        background: #ecdd40!important;
    }

    .header__wrapper {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: 12px 0;
    }

    .logo {
        width: 181px;
    }

    .logo img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .header__navigate {
        display: none;
    }

    .mobile-menu {
        display: flex;
    }
}

.dropdown-section {
    position: relative;
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    display: flex;
    flex-direction: column;
    left: 0;
    opacity: 0;
    z-index: 101;
    pointer-events: none;
    padding: 10px 0 0 0;
    width: 200px;
    transition: all 0.6s ease-in-out;
}

.dropdown-menu a {
    width: 100%;
}

.dropdown-menu .wrapper-menu {
    display: flex;
    flex-direction: column;
    background: white;
    padding: 12px;
    gap: 10px;
}

.dropdown-section:hover .dropdown-menu {
    opacity: 1;
    pointer-events: all;
}

.submenu {
    width: 100%;
    position: relative;
}

.submenu a {
    width: 100%;
    display: flex;
}

.dropdown-submenu {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: column;
    right: -231px;
    opacity: 0;
    width: 230px;
    z-index: 1;
    padding: 12px;
    pointer-events: none;
    background: white;
}

.submenu:hover .dropdown-submenu {
    opacity: 1;
    pointer-events: all;
}
